Skip to main content
POST
Create a product

Yetkilendirmeler

x-api-key
string
header
gerekli

Your Store API key (pk_live_...). Create it in Developers › API keys.

x-store-hash
string
header
gerekli

The ID of the store the request is for. Shown in Developers › API keys.

Başlıklar

Idempotency-Key
string

Unique key (for example a UUID) that makes retries safe. The first response is stored for 24 hours and replayed for retries with the same key and body.

Maximum string length: 255

Gövde

application/json
name
string
gerekli
Maximum string length: 255
slug
string

Generated from the name when omitted.

type
enum<string>
varsayılan:file
Mevcut seçenekler:
file,
serial,
subscription,
donation,
contact,
physical
product_kind
enum<string>
Mevcut seçenekler:
single,
variants,
donation
status
enum<string>
varsayılan:draft
Mevcut seçenekler:
draft,
active,
archived
active
boolean
visibility
enum<string>
Mevcut seçenekler:
public,
unlisted,
private
best_seller
boolean
metadata
object
currency
string
price_cents
integer
Gerekli aralık: x >= 0
discount_percent
number
Gerekli aralık: 0 <= x <= 100
accepts_coupons
boolean
min_qty
integer
max_qty
integer
sell_limit
integer
Gerekli aralık: x >= -1
delivery_note
string | null
details
object
seo
object
category_ids
integer[]
stock_alert_threshold
integer | null
media_urls
string[]

Image URLs (http/https), max 50.

payment_methods
object[]
donation_min_price_cents
integer
donation_suggested_price_cents
integer
subscription
object
sku
string

Physical only.

physical
object

Physical only.

options
object[]

Physical only.

variants
object[]

Required when product_kind is variants. Same fields as POST /products/{id}/variants.

Yanıt

Created

success
boolean
Örnek:

true

product
object
details
object
seo
object
methods
object[]
media
object[]
variants
object[]